Pasar de varios vports a uno solo en model

Ver el tema anterior Ver el tema siguiente Ir abajo

Pasar de varios vports a uno solo en model

Mensaje por carlosmgilp el Mar Abr 12, 2016 6:46 am

Hola muchachos como están.
Tengo varios vports en el model, que es cuando uno tiene dividida la pantalla en varios.
Mi pregunta es como lo convierto en uno solo pero con Visual Lisp.
Porque con el comando vport lo sé hacer, pero con las funciones vl no he podido.
Gracias.

carlosmgilp

Mensajes : 91
Fecha de inscripción : 17/03/2016
Edad : 35
Localización : Venezuela

Ver perfil de usuario

Volver arriba Ir abajo

Re: Pasar de varios vports a uno solo en model

Mensaje por nolo el Mar Abr 12, 2016 7:58 pm

Esto viene en la ayuda de la 2015

A viewport configuration consists of a single viewport that has been split using the Split method. Once a viewport has been split, the resulting viewports are considered a viewport configuration. All the viewports in the configuration have the same name as the original viewport before the split.

Código:
(vl-load-com)
(defun c:Example_DeleteConfiguration()
    ;; This example creates a new viewport and splits
    ;; the viewport into 4 windows.
    ;; It then deletes the viewport configuration
    (setq acadObj (vlax-get-acad-object))
    (setq doc (vla-get-ActiveDocument acadObj))

    (setq oldViewport (vla-Add (vla-get-Viewports doc) "CurrentViewport"))
      
    ;; Create a new viewport and make it active
    (setq newViewport (vla-Add (vla-get-Viewports doc) "NewViewport"))
    (vla-put-ActiveViewport doc newViewport)
    
    ;; Split the viewport in 4 windows
    (vla-Split newViewport acViewport4)
    
    ;; Make the newly split viewport active
    (vla-put-ActiveViewport doc newViewport)
    (alert "The viewport configuration split into 4 windows.")

    ;; Delete the viewport configuration
    (vla-put-ActiveViewport doc oldViewport)
    (vla-DeleteConfiguration (vla-get-Viewports doc) "NewViewport")
    (vla-DeleteConfiguration (vla-get-Viewports doc) "CurrentViewport")
    (vla-Regen doc acAllViewports)
    (alert "The viewport configurations have been deleted and original viewport restored.")
)

Por lo que veo lo que hay que hacer es:
Código:
(progn
;; capturar el documento activo
    (setq acadObj (vlax-get-acad-object))
    (setq doc (vla-get-ActiveDocument acadObj))
;; poner un nombre a la configuración actual
    (setq oldViewport (vla-Add (vla-get-Viewports doc) "CurrentViewport"))
;; poner activa la configuración
    (vla-put-ActiveViewport doc oldViewport) ;; con esto ya se borran de pantalla
;; borar la configuarción
    (vla-DeleteConfiguration (vla-get-Viewports doc) "CurrentViewport")
;; regenerar
    (vla-Regen doc acAllViewports)
)

Un saludo

nolo

Mensajes : 111
Fecha de inscripción : 17/03/2016

Ver perfil de usuario

Volver arriba Ir abajo

Re: Pasar de varios vports a uno solo en model

Mensaje por carlosmgilp el Miér Abr 13, 2016 1:00 am

Hola hermano como estás, muchas gracias por la respuesta.

Te comento que ya estaba utilizando eso anoche, pero como veía que había que agregar con el add pensé que no habría de ser necesario, pero por visto, hasta los momentos voy a utilizar esa método.

Gracias nuevamente por tú ayuda.

carlosmgilp

Mensajes : 91
Fecha de inscripción : 17/03/2016
Edad : 35
Localización : Venezuela

Ver perfil de usuario

Volver arriba Ir abajo

Re: Pasar de varios vports a uno solo en model

Mensaje por Contenido patrocinado


Contenido patrocinado


Volver arriba Ir abajo

Ver el tema anterior Ver el tema siguiente Volver arriba

- Temas similares

 
Permisos de este foro:
No puedes responder a temas en este foro.